Package org.kapott.hbci.passport.storage.format.legacy

# Class ConverterDDV

java.lang.Object
org.kapott.hbci.passport.storage.format.legacy.AbstractConverter
org.kapott.hbci.passport.storage.format.legacy.ConverterDDV

All Implemented Interfaces:
  `Converter`

Direct Known Subclasses:
  `ConverterRSA`

public class ConverterDDV extends AbstractConverter
Implementierung des Converter fuer DDV.

## Constructor Summary

Constructors
Constructor
Description
`ConverterDDV()`

## Method Summary

Modifier and Type
Method
Description
`byte[]`
`getSalt()`
Liefert den zu verwendenden Salt.
`PassportData`
`load(InputStream is)`
Laedt die Passport-Daten.
`void`
`save(PassportData data, OutputStream os)`
Speichert die Passport-Daten.
`boolean`
`supports(HBCIPassport passport)`
Prueft, ob der Loader dieses Format lesen kann.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ConverterDDV

public ConverterDDV()

## Method Details

### getSalt

public byte[] getSalt()
Description copied from interface: `Converter`
Liefert den zu verwendenden Salt.

Specified by:
  `getSalt` in interface `Converter`
Overrides:
  `getSalt` in class `AbstractConverter`
Returns:
  das zu verwendende Salt.
See Also:
  - `AbstractConverter.getSalt()`

### load

public PassportData load(InputStream is) throws Exception
Description copied from interface: `Converter`
Laedt die Passport-Daten.

Parameters:
  `is` - der Stream, von dem die Daten gelesen werden.
Returns:
  die gelesenen Daten.
Throws:
  `Exception` - wenn es beim Lesen der Daten zu einem Fehler kam.
See Also:
  - `Converter.load(java.io.InputStream)`

### save

public void save(PassportData data, OutputStream os) throws Exception
Description copied from interface: `Converter`
Speichert die Passport-Daten.

Parameters:
  `data` - die Daten.
  `os` - der Stream, in den die Daten geschrieben werden.
Throws:
  `Exception` - wenn es beim Schreiben der Daten zu einem Fehler kam.
See Also:
  - `Converter.save(org.kapott.hbci.passport.storage.PassportData, java.io.OutputStream)`

### supports

public boolean supports(HBCIPassport passport)
Description copied from interface: `Converter`
Prueft, ob der Loader dieses Format lesen kann.

Parameters:
  `passport` - der Passport.
Returns:
  true, wenn er es lesen kann.
See Also:
  - `Converter.supports(org.kapott.hbci.passport.HBCIPassport)`